﻿@import url('https://fonts.googleapis.com/css2?family=Google+Sans:ital,opsz,wght@0,17..18,400..700;1,17..18,400..700&family=Inter:opsz,wght@14..32,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/** {
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
}

body {
    display: flex;
    min-height: 100vh;
    justify-content: center;
    align-items: center;
    background: #1c2841;
}*/

.container {
    width: 680px;
}

.entryarea {
    position: relative;
    height: 80px;
    line-height: 80px;
}

input {
    position: absolute;
    width: 100%;
    outline: none;
    font-size: 2.2em;
    padding: 0 30px;
    line-height: 80px;
    border-radius: 10px;
    border: 1px solid #278534 !important;
    background: transparent;
    transition: 0.1s ease;
    z-index: 9;
}

.labelline {
    position: absolute;
    font-size: 1.1em;
    color: #B5B5C3;
    padding: 0 0 0 10px;
    margin-left: 0 0 0 5px;
    background-color: #ffffff;
    transition: 0.2s ease;
    z-index: 8;
}

input:focus,
input:valid {
    color: #808080ff !important;
    border: 1px solid #278534 !important;
}

    input:focus + .labelline,
    input:valid + .labelline {
        color: #278534;
        height: 15px;
        line-height: 15px;
        padding: 0 8px;
        transform: translate(-0px, -20px);
        z-index: 10;
        font-size: .8rem;
    }


.input-group > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
    border-radius: 0 1rem 1rem 0;
}


/* For Select/Dropdown inputs */
select {
    position: absolute;
    width: 100%;
    outline: none;
    font-size: 2.2em;
    padding: 0 30px;
    line-height: 80px;
    border-radius: 10px;
    border: 1px solid #808080;
    border-color: none;
    background: transparent;
    transition: 0.1s ease;
    z-index: 8;
}

.labelline-select {
    position: absolute;
    font-size: 1.1em;
    color: #278534a5;
    padding: 0 0 0 10px;
    margin-left: 0 0 10px 10px;
    background-color: #ffffff;
    transition: 0.2s ease;
    z-index: 9;
}

select:focus,
select:valid, select:not([value=""]) {
    color: #808080ff !important;
    border: 1px solid #278534 !important;
}

    select:focus,
    select:valid::after {
    }

        select:focus + .labelline-select,
        select:not([value=""]) + .labelline-select {
            color: #278534;
            height: 15px;
            line-height: 15px;
            padding: 0 8px;
            transform: translate(-0px, -20px);
            z-index: 10;
            font-size: .8rem;
        }


.select-group > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
    border-radius: 0 1rem 1rem 0;
}



.input-group-lg > .form-control, .input-group-lg > .custom-select, .input-group-lg > .input-group-prepend > .input-group-text, .input-group-lg > .input-group-append > .input-group-text, .input-group-lg > .input-group-prepend > .btn, .input-group-lg > .input-group-append > .btn {
    border-top: 1px solid #278534 !important;
    border-left: 1px solid #278534 !important;
    border-bottom: 1px solid #278534 !important;
}


/* For Multiple Select/Dropdown inputs */

.multi-select input {
    border: transparent !important;
}

.select2-container--default .select2-selection--single, .select2-container--default .select2-selection--multiple {
    border: 1px solid #278234 !important;
}

.labelline-multi-select {
    position: absolute;
    font-size: 1.1em;
    height: 15px;
    line-height: 15px;
    padding: 0 8px;
    color: #278534;
    padding: 0 10px 0 10px;
    margin-left: 0 0 10px 10px;
    background-color: #ffffff;
    transition: 0.2s ease;
    transform: translate(-0px, -20px);
    font-size: .8rem;
    z-index: 9;
}
